# Changelog

Todos los cambios notables en el proyecto MRDevs Tools serán documentados en este archivo.

El formato está basado en [Keep a Changelog](https://keepachangelog.com/es-ES/1.0.0/),
y el proyecto adhiere a [Semantic Versioning](https://semver.org/spec/v2.0.0.html).

## [Unreleased]

## [1.2.0] - 2025-03-19

### Añadido
- Nuevo script `cortana_unalias.sh` para eliminar el alias de cortana
- Soporte para token de Jarvis con `jarvis_token.sh`
- Implementación de diálogos basados en console.lib para una interfaz mejorada
- Detección automática del directorio de trabajo usando SCRIPT_DIR
- Compatibilidad con DEVSPATH configurable desde archivo config/devspath.dat

### Mejorado
- Estandarización de cabeceras en todos los scripts bash
- Estructura uniforme para manejo de variables y configuración
- Renombrado de `cortana_install.sh` a `claude_install.sh` para mejor claridad
- Integración de console.lib para diálogos en scripts de instalación
- Mensajes i18n para scripts ghadmin_install.sh y gladmin_install.sh
- Mensajes i18n para forgejo_login.sh (anteriormente fj_login.sh)
- Limpieza automática de consola al finalizar scripts
- Validación de dependencias más robusta
- Verificación de disponibilidad de dialog al inicio de los scripts

### Modificado
- Renombrado de scripts para mayor consistencia:
  - `ghcli_install.sh` → `ghadmin_install.sh`
  - `glcli_install.sh` → `gladmin_install.sh`
  - `fj_login.sh` → `forgejo_login.sh`
  - `fjcli_install.sh` → Eliminado (funcionalidad integrada)
  - `cversadm_token.sh` → `cversion_token.sh`
- Cambio en estructura de directorios para facilitar la localización de recursos
- Reorganización de variables globales al inicio de cada script

### Eliminado
- Script `standardize_scripts.sh` (reemplazado por estructura estandarizada)
- Scripts redundantes o obsoletos

### Corregido
- Referencias incorrectas a rutas de bibliotecas y archivos de configuración
- Manejo inconsistente de rutas en scripts
- Problemas con carga de mensajes en algunos scripts

### Documentación
- Actualización de README.md para reflejar los cambios en nombres de scripts
- Documentación mejorada de cabeceras de scripts
- Ejemplos actualizados de uso de scripts
- Información sobre nueva plantilla de bash.header para contribuciones

## [1.1.0] - 2025-03-13

### Añadido
- Sistema de creación de proyectos estandarizados con `project_new.sh`
- Selector de tipo de servidor git (GitHub, GitLab, Gitea, Forgejo, None) al crear proyectos
- Archivos `.gitignore` específicos para cada tipo de proyecto
- Creación automática de carpeta `$HOME/.developer` para configuraciones de servidor git
- Soporte para nuevos tipos de proyectos: PHP, C, C++, C#, Rust
- Inclusión de carpeta `.developer` en respaldos del perfil del desarrollador
- Inicialización automática de repositorio git en nuevos proyectos

### Mejorado
- Formato de fecha de modificación estandarizado con hora en encabezados de scripts
- Formato de autores en README y extracción automática de datos de git config
- Solicitud de descripción de proyecto y generación de README.md profesional
- Selección de licencia al crear nuevos proyectos
- Diálogos de selección con tamaños optimizados

### Modificado
- Eliminación de scripts obsoletos (odoo_set.sh, project_create.sh)
- Renombrado de script de creación de proyectos a project_new.sh
- Cambio de nombre de archivo de tipo de proyecto a .protype
- Reducción de altura del diálogo de licencia
- Visualización de licencias de Odoo solo cuando el tipo de proyecto es Odoo

### Corregido
- Ubicación de carpeta de proyectos dentro de directorio devs
- Mensaje cuando el proyecto ya existe

### Documentación
- Actualización de README.md con nuevas funcionalidades
- Adición de Cortana como colaborador digital
- Ampliación de lista de etiquetas para mensajes de commit
- Información detallada sobre rate_update.py y cocomo.py
- Política de encabezados para archivos Python

## [1.0.0] - 2025-03-01

### Añadido
- Sistema de mensajes multilingües
- Scripts básicos para bootstrap y actualizaciones
- Instalación y configuración de herramientas de desarrollo
- Herramientas para gestión de tarifas y estimación de costos
- Integración con Claude Code (Cortana)
- Respaldo y restauración de perfiles de desarrollador
- Soporte para múltiples sistemas operativos

### Seguridad
- Implementación de encriptación para tokens y credenciales
- Gestión segura de información sensible con SOPS

_Nota: Este documento resume los cambios más importantes. Para un historial completo, consulte el registro de commits de git._